OOo 2.4.1 and SELinux: "no suitable windowing system found, exiting."

OpenOffice.org (OOo) 2.3.0, 2.3.1, 2.4.0 and 2.4.1 is incompatible with the SELinux technology activated by default in Fedora 9, Fedora 8, Fedora 7, Fedora Core 6 (and older) and Red Hat Linux system (and, optionally, in other Linux-based systems): see http://www.openoffice.org/issues/show_bug.cgi?id=80816 for more information and current situation.

Symptoms:

The best resolution so far consists in setting the proper security context: execute (as root or with sudo privileges)
# chcon -t textrel_shlib_t libvclplug_gen680li.so.1.1
in the program directory in your OOo installation.

A more radical resolution is disabling SELinux altogether (requires root/sudo privileges):

Note that, with the default configuration, SELinux will be restored in "Enforcing" mode upon reboot or installation of a new kernel if you change it via the command-line utility.


La copia letterale e la distribuzione di questo articolo nella sua integrità sono permesse con qualsiasi mezzo, a condizione che questa nota sia riprodotta e che sia mantenuto il collegamento alla versione originale.
Autore: Andrea Pescetti,  .
Ultimo aggiornamento: ooo241-bug.shtml 07/09/2008.